# Generated from capistrano-distribution-0.4.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name capistrano-distribution

Name: rubygem-%{gem_name}
Version: 0.4.3
Release: 1%{?dist}
Summary: Flexible distribution for Capistrano 3.x
License: MIT
URL: http://github.com/spiceworks/capistrano-distribution
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.8.4
# BuildRequires: rubygem(minitest) < 5.9
# BuildRequires: rubygem(yard) >= 0.9.12
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(redcarpet) >= 3.3.4
# BuildRequires: rubygem(redcarpet) < 3.4
# BuildRequires: rubygem(github-markup) >= 1.4.0
# BuildRequires: rubygem(github-markup) < 1.5
BuildArch: noarch

%description
This gem hooks into the SCM functionality of Capistrano 3.x in order to
provide
a more generic distribution strategy.  Not only is it possible to deploy from
a
simple Git repository, but deployment of contents from Tar and ZIP files is
also
possible.  It is even easy to create deployments based on multiple sources.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NEWS.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 0.4.3-1
- Initial package
